Bug 21500 - Warnings in rotating collections
Summary: Warnings in rotating collections
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-05 12:56 UTC by Tomás Cohen Arazi
Modified: 2018-11-09 07:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21500: Remove warnings in rotating collections (1.44 KB, patch)
2018-10-05 13:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21500: Remove warnings in rotating collections (1.51 KB, patch)
2018-10-05 14:53 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21500: Remove warnings in rotating collections (1.56 KB, patch)
2018-10-06 19:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-10-05 12:56:01 UTC

    
Comment 1 Tomás Cohen Arazi 2018-10-05 13:25:01 UTC
Created attachment 80082 [details] [review]
Bug 21500: Remove warnings in rotating collections

To test:
- Go to Tools > Rotating collections
=> FAIL: Some warinings on the logs
- Apply this patch
- Reload page
=> SUCCESS: No warinings
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Martin Renvoize 2018-10-05 14:53:45 UTC
Created attachment 80125 [details] [review]
Bug 21500: Remove warnings in rotating collections

To test:
- Go to Tools > Rotating collections
=> FAIL: Some warinings on the logs
- Apply this patch
- Reload page
=> SUCCESS: No warinings
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2018-10-05 14:54:12 UTC
Well spotted.. Signing Off
Comment 4 Katrin Fischer 2018-10-06 19:15:51 UTC
Created attachment 80162 [details] [review]
Bug 21500: Remove warnings in rotating collections

To test:
- Go to Tools > Rotating collections
=> FAIL: Some warinings on the logs
- Apply this patch
- Reload page
=> SUCCESS: No warinings
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2018-10-09 16:21:41 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-10-15 12:35:11 UTC
Pushed to 18.05.x for 18.05.05
Comment 7 Fridolin SOMERS 2018-11-09 07:03:57 UTC
Pushed to 17.11.x for 17.11.12